Bug 223520 - Wrong history in apropos(1) manual page
Summary: Wrong history in apropos(1) manual page
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gordon Bergling
URL:
Keywords:
Depends on:
Blocks: 223521
  Show dependency treegraph
 
Reported: 2017-11-08 10:23 UTC by Wolfram Schneider
Modified: 2020-07-14 12:03 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfram Schneider freebsd_committer 2017-11-08 10:23:45 UTC
The apropos(1) manual page has a HISTORY section. It mentions everything except FreeBSD (2BSD, 4.3BSD, OpenBSD). 

The history of apropos(1) in FreeBSD 1.0 to FreeBSD 10 is missing.
Comment 1 commit-hook freebsd_committer 2020-06-30 18:09:31 UTC
A commit references this bug:

Author: gbe
Date: Tue Jun 30 18:08:59 UTC 2020
New revision: 362809
URL: https://svnweb.freebsd.org/changeset/base/362809

Log:
  Mention FreeBSD in the HISTORY sections of apropos(1) and makewhatis(8).

  PR:	223520, 223521
  Reviewed by:	bcr (mentor)
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D25521

Changes:
  head/contrib/mandoc/apropos.1
  head/contrib/mandoc/makewhatis.8
Comment 2 Gordon Bergling freebsd_committer 2020-06-30 18:19:54 UTC
I mentioned FreeBSD in the HISTORY section of apropos(1) and upstreamed the change to OpenBSD.
Comment 3 commit-hook freebsd_committer 2020-07-14 12:03:24 UTC
A commit references this bug:

Author: gbe
Date: Tue Jul 14 12:02:31 UTC 2020
New revision: 363178
URL: https://svnweb.freebsd.org/changeset/base/363178

Log:
  Revert r362809: Mention FreeBSD in the HISTORY sections of apropos(1) and makewhatis(8).

  We don't mention the first appearance of a utility in FreeBSD, when it first
  appeared in a BSD version that predates FreeBSD.

  PR:		223520, 223521
  Reported by:	rgrimes, imp
  Reviewed by:	bcr (mentor)
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D25521

Changes:
  head/contrib/mandoc/apropos.1
  head/contrib/mandoc/makewhatis.8